#include "handler.ih"

void Handler::setRaterInfo()
{
    if (d_rater.empty())
    {
        log() << "no rater was specified\n";
        return;
    }

    log() << "received rater `" << d_rater << "'\n";

                                            // find the rater
    MapStrCCpair::const_iterator iter = d_ccInfo.find(d_rater);     

    if (iter == d_ccInfo.cend())            // not found
        throw Exception{ REPLY_FROM } << 
                    "Unknown rater specification: `" << d_rater << '\'';

    setRaterInfo(iter);
}
